Bug 486395 - avn preferences fails to launch
avn preferences fails to launch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: avant-window-manager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 11:07 EST by Thomas J. Baker
Modified: 2009-03-31 16:29 EDT (History)
0 users

See Also:
Fixed In Version: 0.3.2-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 16:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2009-02-19 11:07:56 EST
I think avant-window-navigator-0.3.2-3.fc10.x86_64 is from updates testing. Anyway, the avn-manager fails to execute:

raptor> awn-manager
Traceback (most recent call last):
  File "/usr/bin/awn-manager", line 55, in <module>
    awn.vfs_init()
AttributeError: 'module' object has no attribute 'vfs_init'
raptor> 

I believe it gets run from System->Preferences->Look and Feel->AWN Manager and also from "Customize Dock" when right clicking on avn itself.
Comment 1 Sindre Pedersen Bjørdal 2009-02-19 11:34:03 EST
I'm guessing this is a simple case of missing dependency. Can you please try installing the gnome-python2-gnomevfs package and see if that fixes this issue?
Comment 2 Thomas J. Baker 2009-02-19 13:37:47 EST
I thought that too and searched for any related python vfs packages but I already had gnome-python2-gnomevfs-2.22.3-1.fc10.x86_64 installed.

raptor> rpm -q avant-window-navigator
avant-window-navigator-0.3.2-3.fc10.x86_64
raptor> rpm -q gnome-python2-gnomevfs
gnome-python2-gnomevfs-2.22.3-1.fc10.x86_64
raptor> awn-manager 
Traceback (most recent call last):
  File "/usr/bin/awn-manager", line 55, in <module>
    awn.vfs_init()
AttributeError: 'module' object has no attribute 'vfs_init'
raptor>
Comment 3 Fedora Update System 2009-03-03 15:00:36 EST
avant-window-navigator-0.3.2-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/avant-window-navigator-0.3.2-5.fc10
Comment 4 Fedora Update System 2009-03-04 11:23:37 EST
avant-window-navigator-0.3.2-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update avant-window-navigator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2302
Comment 5 Fedora Update System 2009-03-31 16:29:13 EDT
avant-window-navigator-0.3.2-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.